Bug 434163 - (CVE-2008-0983) CVE-2008-0983 lighttpd crashes when it's low on file descriptors
CVE-2008-0983 lighttpd crashes when it's low on file descriptors
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://bugs.debian.org/cgi-bin/bugrep...
: Security
: 435418 (view as bug list)
Depends On: 435807 435808 435809
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-22 10:23 EST by Red Hat Product Security
Modified: 2009-10-23 15:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-21 05:46:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2008-02-22 10:23:26 EST
Description of problem:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=466663
http://trac.lighttpd.net/trac/ticket/1562

See those references. I am not sure whether they are the same issue (one seems
to be solaris dependent and produces different result), but the debian crash
definitely is of our interest.

If they are the same it can be triggered by opening a lot of connections to the
web server.
Comment 2 Tomas Hoger 2008-02-29 02:50:14 EST
*** Bug 435418 has been marked as a duplicate of this bug. ***
Comment 3 Tomas Hoger 2008-02-29 02:54:22 EST
Upstream bug is closed now with following patch as the final solution:

http://trac.lighttpd.net/trac/changeset/2082
Comment 5 Fedora Update System 2008-03-04 05:58:18 EST
lighttpd-1.4.18-6.fc8 has been submitted as an update for Fedora 8
Comment 6 Fedora Update System 2008-03-04 06:34:57 EST
lighttpd-1.4.18-3.fc7 has been submitted as an update for Fedora 7
Comment 7 Fedora Update System 2008-03-06 11:34:54 EST
lighttpd-1.4.18-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-03-06 11:36:14 EST
lighttpd-1.4.18-6.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Red Hat Product Security 2008-07-21 05:46:19 EDT
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-2278

Comment 11 Red Hat Bugzilla 2009-10-23 15:06:33 EDT
Reporter changed to security-response-team@redhat.com by request of Jay Turner.

Note You need to log in before you can comment on or make changes to this bug.